<?php

namespace App\Validations;

class UnidadeUFValidation {

	static public function register(array $request): array {

		$resp = array ();

		if (!intval( $request ['id_uf'] )) {
			$resp = [ 
				'UF' => 'O campo UF é obrigatório'
			];
		}

		if (!intval( $request ['id_unidade'] )) {
			$resp = [ 
				'unidade' => 'O campo unidade é obrigatório'
			];
		}

		if (strlen( trim( $request ['nome_unidade'] ) ) > 5) {
			$resp = [ 
				'nome_unidade' => 'O campo nome_unidade é obrigatório e deve ter ao menos tamanho 5'
			];
		}

		return $resp;

	}

	static public function update(array $request): array {

		$resp = array ();

		if (!intval( $request ['id'] )) {
			$resp = [ 
				'id' => 'O campo id é obrigatório'
			];
		}

		if (!intval( $request ['id_uf'] )) {
			$resp = [ 
				'UF' => 'O campo UF é obrigatório'
			];
		}

		if (!intval( $request ['id_unidade'] )) {
			$resp = [ 
				'unidade' => 'O campo unidade é obrigatório'
			];
		}

		if (strlen( trim( $request ['nome_unidade'] ) ) > 5) {
			$resp = [ 
				'nome_unidade' => 'O campo nome_unidade é obrigatório e deve ter ao menos tamanho 5'
			];
		}

		return $resp;

	}

}

